using J4L.RReport;
using System;
using System.Drawing;
using System.Windows.Forms;

public class exampleDBOrderParam
{
	
 	
// entry point	
public static void Main(string[] args)
{		
    exampleDBOrderParam f=new exampleDBOrderParam();
	f.init();	
 }
 
 public void init() {
	 
 // load report from file
		Report report=new Report();
					   
		   if (!report.importReport("examples\\DatabaseSource\\DBorderExpresionsParam.rep")) {
		   	Console.WriteLine("Error, exiting");
		   	Application.Exit();
		   }

		// set the images for the combo box. This can only be done programatically
		Image[] comboImages=new Image[3];
		comboImages[0]=new RImageFile("ball1.gif").getImage();
		comboImages[1]=new RImageFile("ball2.gif").getImage();
		comboImages[2]=new RImageFile("ball3.gif").getImage();
		((RCombo) report.getAreaByName("Detail").getItemByName("Priority")).Values=comboImages;
		
		// set parameter ID='O109'
		report.getReportHeader().getDataSource().setParameter("ID","O109");
		
		// set preview
		report.useSystemPreviewWindow=true;
 		report.setPreview(true);

		// this will print the Header Area and all dependent areas
		report.prepare();
		report.endReport();
 	
 		Application.Exit();
		
 
 }
 	
	
}
